com.google.protobuf

## Enum Extension.MessageType

- java.lang.Object
- - java.lang.Enum<Extension.MessageType>
  - - com.google.protobuf.Extension.MessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Extension.MessageType>
  Enclosing class:
    Extension<ContainingType extends MessageLite,Type>

      public static enum Extension.MessageType
      extends java.lang.Enum<Extension.MessageType>

  Type of a message extension.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROTO1`
    `PROTO2`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Extension.MessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Extension.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROTO1

          public static final Extension.MessageType PROTO1

    - #### PROTO2

          public static final Extension.MessageType PROTO2

  - ### Method Detail

    - #### values

          public static Extension.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Extension.MessageType c : Extension.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Extension.MessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null